var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// common
import { BaseEventListener } from "./events";
var TurnStageNumber = /** @class */ (function () {
    function TurnStageNumber() {
    }
    Object.defineProperty(TurnStageNumber, "INITIALIZING", {
        get: function () { return 0; },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TurnStageNumber, "ACTIVE", {
        get: function () { return 1; },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TurnStageNumber, "PROCESSING", {
        get: function () { return 2; },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TurnStageNumber, "FINISHED", {
        get: function () { return 3; },
        enumerable: false,
        configurable: true
    });
    return TurnStageNumber;
}());
export { TurnStageNumber };
var Turn = /** @class */ (function (_super) {
    __extends(Turn, _super);
    function Turn(num) {
        var _this = _super.call(this, "Turn ".concat(num)) || this;
        _this.stage = 1;
        _this.num = num;
        return _this;
    }
    Turn.prototype.nextStage = function () {
        this.onStageFinished(this.stage);
        var newStageNum = this.stage + 1;
        if (newStageNum == TurnStageNumber.FINISHED) {
            this.onTurnFinished();
            return null;
        }
        else {
            this.stage = newStageNum;
            return this.stage;
        }
    };
    Turn.prototype.onStageFinished = function (stage) {
        // this.log(`stage finished: ${stage}`);
    };
    Turn.prototype.onTurnFinished = function () {
        // this.log(`finished`);
        globalThis.TURNS.onTurnFinished(this);
    };
    Turn.prototype.toString = function () {
        return "<Turn ".concat(this.num, " stage=").concat(this.stage, ">");
    };
    return Turn;
}(BaseEventListener));
export { Turn };
//# sourceMappingURL=turn.js.map