var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// common
import { Loggable } from "../../../common/log";
var Character = /** @class */ (function (_super) {
    __extends(Character, _super);
    function Character(num, factionNum, language, fullName, isFemale) {
        var _this = _super.call(this, "Character") || this;
        _this.num = -1;
        _this.fullName = null;
        _this.isMale = true;
        _this.pos = null;
        // faction & language
        _this.home = null;
        _this.factionNum = -1;
        _this.language = "western";
        // optional
        _this.customTitle = null;
        _this.num = num;
        _this.factionNum = factionNum;
        // language
        if (language) {
            _this.language = language;
        }
        // female?
        if (isFemale) {
            _this.isMale = false;
        }
        // fixed or random name?
        if (fullName) {
            _this.fullName = fullName;
        }
        else {
            _this.assignRandomName();
        }
        return _this;
    }
    Character.prototype.assignRandomName = function () {
        // check whether name list has successfully loaded
        var nameListLoaded = globalThis.CHARS && globalThis.CHARS.hasNameListLoaded;
        if (!nameListLoaded) {
            this.warn("cant assign random name; name list not found");
            return;
        }
        var rndNameFull = globalThis.CHARS.getRandomName(this.language, this.isFemale);
        this.fullName = rndNameFull;
    };
    Object.defineProperty(Character.prototype, "isFemale", {
        /* GETTERS & SETTERS */
        get: function () { return !this.isMale; },
        enumerable: false,
        configurable: true
    });
    return Character;
}(Loggable));
export { Character };
/* == CHARACTER CONSTANTS == */ 
//# sourceMappingURL=character.js.map