var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { EmptyDialog } from "./common/base-dialog";
var SingleArmyDialog = /** @class */ (function (_super) {
    __extends(SingleArmyDialog, _super);
    function SingleArmyDialog(army) {
        var _this = _super.call(this, DIAG_ARMY, true, "Army", [], false, false, army.ownerFaction) || this;
        _this.army = army;
        return _this;
    }
    SingleArmyDialog.prototype.addCustomContent = function () {
        this.addNewDataRow("Name", this.army.name, "name");
        this.addNewDataRow("Owner", this.ownerFactionName, "empire");
        // show units
        this.showUnitList();
    };
    SingleArmyDialog.prototype.showUnitList = function () {
        this.addNewSectionHeader("Units");
        for (var _i = 0, _a = this.army.units; _i < _a.length; _i++) {
            var unit = _a[_i];
            this.showSingleUnitRow(unit);
        }
    };
    SingleArmyDialog.prototype.showSingleUnitRow = function (unit) {
        this.addNewDataRow("", unit.type.name, "might");
    };
    Object.defineProperty(SingleArmyDialog.prototype, "ownerFactionName", {
        get: function () {
            return this.army.ownerFaction.name;
        },
        enumerable: false,
        configurable: true
    });
    return SingleArmyDialog;
}(EmptyDialog));
export { SingleArmyDialog };
export var DIAG_ARMY = "diag-army";
//# sourceMappingURL=army-dialog.js.map