// common
import { DawnbringerPalette } from "../common/colors";
import { RandomElement } from "./random";
// babylon
import * as BABYLON from 'babylonjs';
var ColorPalette = /** @class */ (function () {
    function ColorPalette() {
    }
    ColorPalette.NameAsNumArray = function (colorName) {
        var rgb = DawnbringerPalette[colorName];
        return rgb;
    };
    ColorPalette.NameAsColor3 = function (colorName) {
        var rgb = ColorPalette.NameAsNumArray(colorName);
        return BABYLON.Color3.FromArray(rgb);
    };
    ColorPalette.NameAsHexStr = function (colorName) {
        var color3 = ColorPalette.NameAsColor3(colorName);
        return color3.toHexString();
    };
    ColorPalette.RandomColorName = function () {
        return RandomElement.of(DawnbringerPalette.ALL);
    };
    return ColorPalette;
}());
export { ColorPalette };
//# sourceMappingURL=colorpalette.js.map