// events
import { BaseEventListener, IBaseEvent } from "../../common/events";

export interface IGameManager {
    namePrefix: string;
}

export class AbstractManager extends BaseEventListener implements AbstractManager {
    namePrefix: string = "";

    constructor(namePrefix: string) {
        super(namePrefix + "Manager");
    }

    onEvent(ev: IBaseEvent) {
        super.onEvent(ev);
    }

}