var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Loggable } from "./log";
var EntityHeader = /** @class */ (function (_super) {
    __extends(EntityHeader, _super);
    function EntityHeader(entityObj) {
        var _this = _super.call(this, "EntityHeader") || this;
        _this.parent = entityObj;
        return _this;
    }
    Object.defineProperty(EntityHeader.prototype, "num", {
        get: function () {
            if (this.parent.hasOwnProperty("num")) {
                return this.parent.num;
            }
            return -1;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(EntityHeader.prototype, "entityType", {
        get: function () {
            return this.parent.constructor.name;
        },
        enumerable: false,
        configurable: true
    });
    EntityHeader.prototype.uid = function () {
        var uidStr = this.entityType;
        var entityNum = this.num;
        if (this.num && this.num >= 0) {
            uidStr += ":".concat(this.num);
        }
        return uidStr;
    };
    return EntityHeader;
}(Loggable));
export { EntityHeader };
//# sourceMappingURL=entity-header.js.map