var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// common
import { Loggable } from "../../../common/log";
var FactionType = /** @class */ (function (_super) {
    __extends(FactionType, _super);
    function FactionType(factionTypeNum, name) {
        var _this = _super.call(this, "FactionType") || this;
        _this.factionTypeNum = -1;
        _this.factionTypeNum = factionTypeNum;
        _this.name = name;
        return _this;
    }
    FactionType.GetByNum = function (factionTypeNum) {
        return FACTION_TYPES[factionTypeNum];
    };
    return FactionType;
}(Loggable));
export { FactionType };
/* == CONSTANTS == */
export var TYPE_REBEL = 0;
export var TYPE_MINOR = 1;
export var TYPE_EMPIRE = 2;
export var TYPE_LOCALS = 3;
export var TYPE_FAMILY = 4;
// faction type list
export var FACTION_TYPES = [
    new FactionType(0, "Rebel"),
    new FactionType(1, "Minor"),
    new FactionType(2, "Empire"),
    new FactionType(3, "Locals"),
    new FactionType(4, "Family")
];
//# sourceMappingURL=faction-type.js.map