var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Loggable } from "../../../common/log";
/* == TRADE HISTORY == */
var TradeHistory = /** @class */ (function (_super) {
    __extends(TradeHistory, _super);
    function TradeHistory(parent, isForConnection) {
        var _this = _super.call(this, "TradeHistory") || this;
        _this.isForConnection = false;
        _this.trades = [];
        _this.parent = parent;
        if (isForConnection) {
            _this.isForConnection = true;
        }
        return _this;
    }
    TradeHistory.prototype.add = function (trade, isExport) {
        if (isExport) {
            trade.isExport = true;
        }
        this.trades.push(trade);
    };
    Object.defineProperty(TradeHistory.prototype, "length", {
        get: function () {
            return this.trades.length;
        },
        enumerable: false,
        configurable: true
    });
    TradeHistory.prototype.getLastTrades = function (amount) {
        return this.trades.slice(-1 * amount);
    };
    return TradeHistory;
}(Loggable));
export { TradeHistory };
//# sourceMappingURL=trade-history.js.map