/* == GUI CONSTANTS == */
// layout directions
export var DIR_HOR = 1;
export var DIR_VERT = 2;
/* == ELEMENT ALIGMENT == */
// element alignment
export var ALIGN_H_LEFT = 0;
export var ALIGN_H_RIGHT = 1;
export var ALIGN_H_CENTER = 2;
export var ALIGN_V_TOP = 0;
export var ALIGN_V_BOTTOM = 1;
export var ALIGN_V_CENTER = 2;
// text alignment
export var ALIGN_TEXT_V_TOP = 0;
export var ALIGN_TEXT_V_BOTTOM = 1;
export var ALIGN_TEXT_V_CENTER = 2;
export var ALIGN_TEXT_H_LEFT = 0;
export var ALIGN_TEXT_H_RIGHT = 1;
export var ALIGN_TEXT_H_CENTER = 2;
// menues
export var MENU_HEIGHT_SMALL = "35px";
export var MENU_TEXT_COLOR_NAME = "GOLDENFIZZ";
// body
export var BODY_MARGIN_X_PX = 30;
/* == GUI ELEMENT PREFIXES == */
export var ELEM_PREFIX_DATAROW = "datarow-";
/* == ELEMENT DEFAULT VALUES == */
// sizing
export var WIDTH_FULL = "100%";
export var DEFAULT_WIDTH = "400px";
export var DEFAULT_INNER_WIDTH = "400px";
export var DEFAULT_INNER_WIDTH_PX = 400;
export var NARROW_WIDTH = "100px";
export var NARROW_WIDTH_PX = 100;
export var DEFAULT_ELEMENT_HEIGHT = "60px";
export var DEFAULT_ELEMENT_HEIGHT_PX = 60;
export var LOWER_ELEMENT_HEIGHT_PX = 48;
export var LOWER_ELEMNT_HEIGHT = "".concat(LOWER_ELEMENT_HEIGHT_PX, "px");
// icons
export var DEFAULT_ICON_SIZE_S = "32px";
export var DEFAULT_ICON_PADDING_S = "5px";
// shadow
export var SHADOW_COLOR_DARK_HEX = "#00000088";
export var SHADOW_COLOR_BRIGHT_HEX = "ffffff88";
// labels
export var DEFAULT_LABEL_HEIGHT = "35px";
export var DEFAULT_LABEL_HEIGHT_PX = 35;
export var SMALL_LABEL_HEIGHT = "24px";
export var SMALL_LABEL_HEIGHT_PX = 24;
// dialogs
export var DIALOG_OUTTER_WIDTH_PX = 600;
export var DIALOG_OUTTER_WIDTH = "".concat(DIALOG_OUTTER_WIDTH_PX, "px");
export var DIALOG_HEIGHT_PX = 600;
export var DIALOG_HEIGHT = "".concat(DIALOG_HEIGHT_PX, "px");
/* == TEXT & FONT == */
export var FONT_HIGHLIGHTED = "Rediviva";
export var FONT_PARAGRAPH = "Prince Valiant";
export var TEXTSIZE_SMALLER = "16px";
export var TEXTSIZE_NORMAL = "20px";
export var TEXTSIZE_BIGGER = "26px";
export var TEXTSIZE_BIGGEST = "32px";
/* == RESOURCES == */
export var FOLDER_RES = "res/";
export var FOLDER_IMG = FOLDER_RES + "img/";
// icons
export var FOLDER_ICONS = FOLDER_IMG + "icons/";
export var FOLDER_ICONS_INLINE = FOLDER_ICONS + "inline/";
export var FOLDER_ICONS_RES = FOLDER_ICONS + "/resources/";
// ui
export var FOLDER_UI_IMG = FOLDER_IMG + "ui/";
export var FOLDER_UI_BG = FOLDER_UI_IMG + "backgrounds/";
export var FOLDER_BUTTONS_IMG = FOLDER_UI_IMG + "buttons/";
export var FOLDER_CTL_IMG = FOLDER_UI_IMG + "controller/";
// backgrounds
export var BG_FILE_PREFIX = FOLDER_UI_BG + "bg_";
export var BG_LEATHER = BG_FILE_PREFIX + "leather.png";
export var BG_PAPER = BG_FILE_PREFIX + "paper.png";
export var BG_BUTTON1 = BG_FILE_PREFIX + "button1.png";
export var BG_HEADER = BG_FILE_PREFIX + "header.png";
export var BG_MENU_TOP = BG_FILE_PREFIX + "menu-top.png";
export var BG_SECTION = BG_FILE_PREFIX + "section.png";
//# sourceMappingURL=constants.js.map