var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Loggable } from "../../../common/log";
var GuiAlignment = /** @class */ (function (_super) {
    __extends(GuiAlignment, _super);
    function GuiAlignment(parent) {
        var _this = _super.call(this, "GuiAlignment") || this;
        _this.parent = parent;
        _this.updateFromParent();
        return _this;
    }
    GuiAlignment.prototype.updateFromParent = function () {
        this.horizontal = this.parent.horizontalAlignment;
        this.vertical = this.parent.verticalAlignment;
    };
    GuiAlignment.prototype.set = function (hor, vert) {
        this.parent.horizontalAlignment = hor;
        this.parent.verticalAlignment = vert;
        this.updateFromParent();
    };
    GuiAlignment.prototype.setFromArray = function (numArr) {
        this.set(numArr[0], numArr[1]);
    };
    return GuiAlignment;
}(Loggable));
export { GuiAlignment };
//# sourceMappingURL=gui-alignment.js.map