var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { EmptyDialog } from "./common/base-dialog";
import { CityConstructionDialog } from "./city-construction-dialog";
/* == CITY BUILDINGS DIALOG == */
var CityBuildingsDialog = /** @class */ (function (_super) {
    __extends(CityBuildingsDialog, _super);
    function CityBuildingsDialog(city) {
        var _this = _super.call(this, DIAG_CITYBLDS, false, "".concat(city.name, " Buildings")) || this;
        _this.city = city;
        return _this;
    }
    CityBuildingsDialog.prototype.addCustomContent = function () {
        for (var _i = 0, _a = this.city.buildings; _i < _a.length; _i++) {
            var building = _a[_i];
            this.addNewDataRow(building.name, "" + building.level, "building");
        }
        this.addNewButton(DIAG_CITYBLDS_BTN_CONSTRUCT, "Construct");
    };
    Object.defineProperty(CityBuildingsDialog.prototype, "buildings", {
        get: function () {
            return this.city.buildings;
        },
        enumerable: false,
        configurable: true
    });
    CityBuildingsDialog.prototype.onButtonClick = function (btnId) {
        var success = _super.prototype.onButtonClick.call(this, btnId);
        var city = this.city;
        if (btnId == DIAG_CITYBLDS_BTN_CONSTRUCT) {
            this.log('show City Construction Dialog');
            this.close;
            var diagCityConstr = new CityConstructionDialog(city);
            globalThis.GUI.showDialog(diagCityConstr, true);
        }
    };
    return CityBuildingsDialog;
}(EmptyDialog));
export { CityBuildingsDialog };
/* == CONSTANTS == */
export var DIAG_CITYBLDS = "diag-city-buildings";
export var DIAG_CITYBLDS_ID_PREFIX = DIAG_CITYBLDS + "-";
export var DIAG_CITYBLDS_BTN_CONSTRUCT = DIAG_CITYBLDS_ID_PREFIX + "btn-construct";
//# sourceMappingURL=city-buildings-dialog.js.map