var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// common
import { ColorPalette } from '../../../helpers/colorpalette';
// gui
import * as GUI_CONST from '../common/constants';
// babylon
import * as GUI from 'babylonjs-gui';
/* == SCROLLVIEW ELEMENT == */
var GuiScrollView = /** @class */ (function (_super) {
    __extends(GuiScrollView, _super);
    function GuiScrollView() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    GuiScrollView.setDefaultStyle = function (scrollViewer, dontSetWidth) {
        scrollViewer.thickness = 0;
        // set scrolbar colors
        scrollViewer.barColor = ColorPalette.NameAsHexStr(SCROLLV_COLOR_PRIMARY);
        scrollViewer.scrollBackground = ColorPalette.NameAsHexStr(SCROLLV_COLOR_BG);
        if (!dontSetWidth) {
            scrollViewer.width = GUI_CONST.DEFAULT_WIDTH;
        }
    };
    return GuiScrollView;
}(GUI.ScrollViewer));
export { GuiScrollView };
/* == SCROLLVIEW CONSTANTS == */
export var SCROLLV_COLOR_PRIMARY = "ELFGREEN";
export var SCROLLV_COLOR_BG = "TWINE";
//# sourceMappingURL=scroller.js.map