var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// gui
import * as GUI_CONST from '../common/constants';
// babylon
import * as GUI from 'babylonjs-gui';
/* == CONTROLLER LAYOUT == */
var ControllerButtons = /** @class */ (function (_super) {
    __extends(ControllerButtons, _super);
    function ControllerButtons() {
        var _this = _super.call(this, CONTROLLER_OUTTER_ID) || this;
        _this.thickness = 0;
        // size & alignment
        _this.verticalAlignment = GUI_CONST.ALIGN_TEXT_V_BOTTOM;
        _this.horizontalAlignment = GUI_CONST.ALIGN_H_RIGHT;
        _this.width = "320px";
        _this.height = "150px";
        // calculate margin offset
        // add test label
        var testLabel = new GUI.TextBlock("test", "Controller");
        _this.addControl(testLabel);
        return _this;
    }
    /* moves the element horizontally to create a space between the screen edge that acts as margin */
    ControllerButtons.prototype.calculateMarginOffset = function () {
        var marginXOffsetPx = GUI_CONST.BODY_MARGIN_X_PX;
        if (this.horizontalAlignment == GUI_CONST.ALIGN_H_RIGHT) {
            marginXOffsetPx *= -1;
        }
        this.leftInPixels = marginXOffsetPx;
    };
    return ControllerButtons;
}(GUI.Rectangle));
export { ControllerButtons };
/* == CONSTANTS == */
export var CONTROLLER_OUTTER_ID = "controller-outter";
//# sourceMappingURL=controller-buttons.js.map