var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { WorldEntity } from '../../common/entity';
/* == ROAD MODEL == */
var Road = /** @class */ (function (_super) {
    __extends(Road, _super);
    function Road(start, target, num) {
        var _this = _super.call(this, num, start.pos) || this;
        _this.num = -1;
        _this.level = 1;
        _this.tiles = [];
        // cities
        _this.start = start;
        _this.target = target;
        // road num
        if (num) {
            _this.num = num;
        }
        return _this;
    }
    Object.defineProperty(Road.prototype, "name", {
        get: function () {
            return "".concat(this.start.name, "-").concat(this.target.name);
        },
        enumerable: false,
        configurable: true
    });
    Road.prototype.toString = function () {
        return "<Road \"".concat(this.name, "\">");
    };
    Road.prototype.getMirrored = function () {
        if (!globalThis.TRADE) {
            this.warn("cant get mirrored road from ".concat(this.target.name, " to ").concat(this.start.name));
            return null;
        }
        return globalThis.TRADE.getReturnRoad(this);
    };
    /* PATHFINDING */
    Road.prototype.findRoadPath = function () {
        var SKIP = true;
        if (SKIP) {
            return;
        }
        var currentTile = this.start.tile;
        var isAtTarget = currentTile == null;
        // next tile
        while (!isAtTarget) {
            this.tiles.push(currentTile);
            currentTile = this._getNextTile(currentTile);
        }
    };
    Road.prototype._getNextTile = function (fromTile) {
        if (fromTile.pos.equals(this.target.tile.pos)) {
            return null;
        }
        var distX = this.target.pos.x - fromTile.pos.x;
        var distZ = this.target.pos.z = fromTile.pos.z;
        if (Math.abs(distX) > Math.abs(distZ)) {
            var isPositive = distX > 0;
        }
        else {
        }
    };
    return Road;
}(WorldEntity));
export { Road };
/* == PATHFINDER == */
var RoadPathfinder = /** @class */ (function () {
    function RoadPathfinder() {
    }
    return RoadPathfinder;
}());
export { RoadPathfinder };
/* == CONSTANTS == */ 
//# sourceMappingURL=road.js.map