/* NODE */
var TilePathNode = /** @class */ (function () {
    function TilePathNode(tile, parent) {
        this.parent = null;
        this.next = null;
        this.tile = tile;
        this.pos = tile.pos;
        if (parent) {
            this.parent = parent;
        }
    }
    TilePathNode.prototype.add = function (child) {
        this.next = child;
        child.parent = this;
    };
    TilePathNode.prototype.findNext = function () {
        return null;
    };
    return TilePathNode;
}());
export { TilePathNode };
/* PATH */
var TilePath = /** @class */ (function () {
    function TilePath(startTile, targetTile) {
        this.target = null;
        this.isFinished = false;
        this.start = new TilePathNode(startTile);
        if (targetTile) {
            this.target = new TilePathNode(targetTile);
        }
    }
    return TilePath;
}());
export { TilePath };
//# sourceMappingURL=tile-path.js.map