import { Character } from "./character";
import { ICharacterAction, AbstractCharacterAction, CharacterActionType } from "./actions";

/* BASIC CHAR ACTIONS */
export class JoinArmyAction extends AbstractCharacterAction {


    constructor(armyNum: number, character: Character) {
        super("join-army", CharacterActionType.MOVEMENT, armyNum, null, character);
    }

    onExecute(): boolean {

        return true;
    }
}


/* ACTIONS LIST */
export const BASIC_ACTIONS = [
    new AbstractCharacterAction("joinArmy", CharacterActionType.MOVEMENT)
];