// gui
import * as GUI_CONST from '../../common/constants';
import { EmptyDialog, IDialog } from "./base-dialog";
import { GuiRectangle } from '../../common/rectangle';
import { GuiLabel } from '../../elements/babylon/labels';
// babylon
import * as GUI from 'babylonjs-gui';

export interface IDialogHeader {
    dialog: IDialog;
    titleStr: string;
    // child elements
    headerBg: GUI.Image;
    headerLabel: GuiLabel;
}

export class DialogHeader extends GuiRectangle implements IDialogHeader {
    dialog: IDialog;
    titleStr: string;
    // child elements
    headerBg: GUI.Image;
    headerLabel: GuiLabel;
    
}