import { EmptyDialog, IDialog } from "./common/base-dialog";

export class EndTurnBalanceDialog extends EmptyDialog implements IDialog {
    titleText: string = "Ending Turn: Balance";

    constructor() {
        super("endturn-1", true);
    }
}

export class EndTurnMovementDialog extends EmptyDialog implements IDialog {
    titleText: string = "Ending Turn: Enemies";

    constructor() {
        super("endturn-2", true, "Ending Turn", ["skip"]);
    }
}