// gui
import { UnitArmy } from '../../entities/unit/army/army';
import * as GUI_CONST from '../common/constants';
import { EmptyDialog, IDialog } from "./common/base-dialog";

export class RecruitmentDialog extends EmptyDialog {
  army: UnitArmy;

  constructor(army: UnitArmy) {
    super(DIAG_RECRUITMENT, true, "Recruit");
    this.army = army;
  }
}

export const DIAG_RECRUITMENT = "diag-recruit";
