// gui
import * as GUI_CONST from '../../common/constants';
import { GuiRectangle } from '../../common/rectangle';
// babylon
import * as GUI from 'babylonjs-gui';
import { GuiElementHead } from '../../common/element-head';

export interface IMenu {
    menuId: string;
    // methods
    onElementClicked(elemId: string);
}

export class AbstractMenu extends GuiRectangle implements IMenu {
    menuId: string;
    container: GUI.StackPanel = null;

    constructor(menuId: string) {
        super("menu-" + menuId);
        this.head = new GuiElementHead(this.name, this);
        this.thickness = 0;
    }

    onElementClicked(elemId: string) {
        
    }

}